L Peter Deutsch (nascido Laurence Peter Deutsch em 7 de agosto de 1946, em Boston, Massachusetts) é um cientista da computação estadounidense e compositor. Ele é o fundados da Aladdin Enterprises e o criador do Ghostscript, um interpretador PostScript e PDF livre.
Outros trabalhos de Deutsch incluem a implementação de Smalltalk que inspirou a compilação just-in-time do Java 15 anos mais tarde.
Nome Deutsch mudou seu primeiro nome legal de "Laurence" para "L" em 12 setembro de 2007. Seus trabalhos publicados entes disso geralmente usavam o nome L. Peter Deutsch (com um ponto depois do L).
Infância de juventude O pai de Deutsch foi o físico Martin Deutsch, um professor no MIT.
Contribuições a ciência da computação Deutsch escreveu a primeira implementação e o primeiro REPL de Lisp 1.5 do PDP-1, Basic PDP-1 LISP, "while still in short pants" e concluiu em 1963, quando ele tinha 17 anos de idade. Ele colaborou com Calvin Mooers na linguagem de programação TRAC e escreveu sua primeira implementação, no PDP-1, em 1964. full text
De 1964 a 1967, durante seu estudo na Universidade da Califórnia em Berkeley, ele trabalhou com Butler Lampson e Charles P. Thacker no Berkeley Timesharing System, que se tornou o sistema operacional padrão para o mainframe SDS 940 que mais tarde seria usado pelo Tymshare, NLS e Community Memory.
Deutsch é autor de vários Request for Comments (RFCs), The Eight Fallacies of Distributed Computing, e originou o aforismo Deutsch limit sobre linguagens de programação visual.
Deutsch recebeu o PhD em ciência da computação da Universidade da Califórnia em Berkeley em 1973, e trabalhou anteriormente no Xerox PARC e Sun Microsystems. Em 1994, ele foi introduzido como Lista de Fellows da Associação para Maquinaria da Computação.
Compositor Após cursar cursos de graduação em música em Universidade Stanford, em janeiro de 2009, ele entrou em um programa de pós graduação na Universidade da Califórnia, East Bay, e recebeu um Master of Arts (M.A.) em março de 2011. Nos meados de 2011 ele tinha seis composições apresentadas em concertos públicos. e agora se identifica em geral como compositor ao invés de desenvolvedor de software ou engenheiro.
Literatura Some stories about him are included in the book Hackers: Heroes of the Computer Revolution. An interview with him is printed in Coders at Work. Bjarne Stroustrup atribui a Deutsch o epígrafe do Capítulo 4 do The C++ Programming Language -- "To iterate is human, to recurse is divine."
Ligações externas L. Peter Deutsch's PIVOT program verification system (thesis and source code) RFCs authored or co-authored by L. Peter Deutsch: RFC 190, RFC 446, RFC 550, RFC 567, RFC 606, RFC 1950, RFC 1951 and RFC 1952
L Peter Deutsch's web page related to music, including link to scores and MIDI files
Categoria:Nascidos_em_1946 Categoria:Programadores de software livre Categoria:Fellows da ACM Categoria:Alunos_da_Universidade_da_Califórnia_em_Berkeley Categoria:Pessoas_vivas Categoria:Pessoas_da_Xerox Categoria:Programadores_de_núcleos_de_sistemas_operativos